@import "common/foundation/variables";

@font-face {
  font-family: Abel;
  src: url($abel) format('woff2');
}

@font-face {
  font-family: "Blackout Midnight";
  src: url($blackout-midnight) format('woff2');
}

@font-face {
  font-family: "Blackout Sunrise";
  src: url($blackout-sunrise) format('woff2');
}

/**
 * Abel is a bit smaller, so make it bigger by 2px.
**/
html {
  font-size: 16px;
}

body {
  font-family: Abel, sans-serif;
}

/**
 * Leave h5 and h6 alone: too small.
**/
h1, h2 {
  font-family: "Blackout Midnight", serif;
}
h3, h4 {
  font-family: "Blackout Sunrise", serif;
}
h5 {
  font-size: $font-up-2;
}
h6 {
  font-size: $font-up-1;
}

li:hover,
.topic-map-expanded section:hover,
.onebox:hover,
.category-list tbody tr:hover .category {
  h3, h4 {
    font-family: "Blackout Midnight", serif;
    letter-spacing: 0.2px;
  }
}
aside.onebox:hover {
  background-color: $primary-very-low;
  border-color: $secondary-medium;
}

.footer-message h3,
.topic-status-info h3,
h3.suggested-topics-message {
  font-family: Abel, sans-serif;
  font-size: $font-up-2;
}

.select-kit.combo-box.category-chooser .select-kit-row.is-highlighted {
  background-color: $tertiary-low;
  & .category-desc {
    color: $primary;
  }
}

.signup-cta a {
  margin-top: 7px;
}

/**
 * Ensure Category logo remains within viewport
 **/
.category-logo {
  max-width: 100%;
}

/**
 * Give banner a nicer color
 **/
#banner {
  background-color: rgba(196, 183, 44, 0.2);
}

.badge-wrapper.box {
  padding: 2px 6px;
}
